<?php
 
function mod_braga($module_id){
 
        $inCore = cmsCore::getInstance(); // подключаем ядро
        $inDB   = cmsDatabase::getInstance(); // подключаем базу
        $inUser = cmsUser::getInstance(); //подключаем пользователей
	    $cfg = $inCore->loadModuleConfig($module_id); //подключаем конфиг модуля
 
        global $_LANG; //подключаем языковой файл
 
		$userid = $inUser->id;  //id пользователя
		$login = $inUser->login;  //логин пользователя
		$nickname = $inUser->nickname;  //никнейм пользователя
 
		$admin = $inCore->userIsAdmin($inUser->id); //администратор
		$moderator = $inCore->userIsEditor($inUser->id); //модератор
 
 
		//код модуля
$orderby = $cfg['orderby'];
$justnow = date('Y-m-d H:i:s');
$dateendno = "0000-00-00 00:00:00";
 
$sql = "SELECT * FROM cms_braga
                WHERE mod_id = $module_id AND published = 1 AND date <= '$justnow' AND (dateend > '$justnow' OR dateend = '$dateendno')
				ORDER BY $orderby
				";
$result = $inDB->query($sql);


		if ($inDB->num_rows($result)){

			$braga = array();					
			while($con = $inDB->fetch_assoc($result)){
				$next = sizeof($braga);				
				$braga[$next]['id']           = $con['id'];
				$braga[$next]['img']          = $con['img'];
				$braga[$next]['filetitle1']   = $con['filetitle1'];
				$braga[$next]['filename1']    = $con['filename1'];
				$braga[$next]['filetitle2']   = $con['filetitle2'];
				$braga[$next]['filename2']    = $con['filename2'];
				$braga[$next]['filetitle3']   = $con['filetitle3'];
				$braga[$next]['filename3']    = $con['filename3'];
				$braga[$next]['filetitle4']   = $con['filetitle4'];
				$braga[$next]['filename4']    = $con['filename4'];
				$braga[$next]['filetitle5']   = $con['filetitle5'];
				$braga[$next]['filename5']    = $con['filename5'];
				$braga[$next]['link']         = $con['link'];
				$braga[$next]['title']        = $con['title'];
				$braga[$next]['description']  = $con['description'];
				$braga[$next]['date']         = $con['date'];
				$braga[$next]['dateend']      = $con['dateend'];
				$braga[$next]['ordering']     = $con['ordering'];
			}

		}





        // передаем в шаблон переменные
        $smarty = $inCore->initSmarty('modules', 'mod_braga.tpl');
        $smarty->assign('LANG', $_LANG); // языковая переменная
        $smarty->assign('braga', $braga);
        $smarty->display('mod_braga.tpl');
 
		return true;
 
}
?>